API
List notifications for the authenticated user
GET
/notifications
const url = 'https://mw.omazy.ai/api/v1/notifications?limit=25&unread_only=false';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://mw.omazy.ai/api/v1/notifications?limit=25&unread_only=false' \ --header 'Authorization: <Authorization>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”cursor
string
Pagination cursor
limit
integer
Items per page (max 100)
unread_only
boolean
Filter to unread only
Responses
Section titled “Responses”OK
Media typeapplication/json
object
data
error
object
code
string
message
string
meta
object
next_cursor
string
page
integer
per_page
integer
total
integer
success
boolean
data
Array<object>
object
body
string
conversation_id
string
created_at
string
id
string
is_read
boolean
payload
Array<integer>
read_at
string
session_id
string
title
string
type
string
meta
object
next_cursor
string
per_page
integer
unread_count
integer
Example
{ "data": [ { "type": "chat_message" } ]}Unauthorized
Media typeapplication/json
object
data
error
object
code
string
message
string
meta
object
next_cursor
string
page
integer
per_page
integer
total
integer
success
boolean
error
object
code
string
message
string
Examplegenerated
{ "data": "example", "error": { "code": "example", "message": "example" }, "meta": { "next_cursor": "example", "page": 1, "per_page": 1, "total": 1 }, "success": true}